Bug 1020239 - python-augeas should require python-ctypes
python-augeas should require python-ctypes
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: python-augeas (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Swift
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 06:47 EDT by Arun S A G
Modified: 2017-04-06 06:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:39:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun S A G 2013-10-17 06:47:08 EDT
Description of problem:

python-augeas package needs python-ctypes to work, but looks like the ctypes package is not a dependency to python-augeas. 

from augeas import Augeas
     File "/usr/lib/python2.4/site-packages/augeas.py", line 42, in ?
       import ctypes
   ImportError: No module named ctypes


Version-Release number of selected component (if applicable):
rpm -q python-augeas
python-augeas-0.4.1-1.el5

How reproducible:
Always

Steps to Reproduce:
 $ python
 $ from augeas import Augeas

Actual results:


Expected results:


Additional info:
Comment 1 Greg Swift 2013-10-22 23:43:59 EDT
can you think of any reason why this wouldn't count for fedora versions too?
Comment 2 Arun S A G 2013-10-23 06:16:29 EDT
(In reply to Greg Swift from comment #1)
> can you think of any reason why this wouldn't count for fedora versions too?

As far as i know ctypes are part of python-libs from python 2.5. So there is no need for separate python-ctypes.
Comment 3 Fedora Update System 2013-10-23 11:22:08 EDT
python-augeas-0.4.1-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-augeas-0.4.1-5.el5
Comment 4 Greg Swift 2013-10-23 11:56:52 EDT
thanks Arun.

Just went back and reviewed the packaging guidelines for python packages, and I want to make another set of changes to the spec.  shouldn't change functionality.  might take me a few more days to find the time though, but technically its not necessary so this can go forward.  up to you.
Comment 5 Fedora Update System 2013-10-23 14:19:51 EDT
Package python-augeas-0.4.1-5.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-augeas-0.4.1-5.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11933/python-augeas-0.4.1-5.el5
then log in and leave karma (feedback).
Comment 6 Fedora End Of Life 2017-04-06 06:39:05 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.